#using_animtree("generic_human");

main()
{
	precacheModel("xmodel/chessgame_animrig");
	precacheModel("xmodel/chessgame_animnode");
	precacheModel("xmodel/chessgame_animrig");

	thread checkersanimations();
	thread chesspieces();
	thread chess (getnode ("chess","targetname"));
}

#using_animtree("generic_human");
checkersanimations()
{
	level.scr_animtree["stand"] = #animtree;
	level.scr_anim["stand"]["move 1"]		= (%chess_standguy_move01);
	level.scr_anim["stand"]["move 2"]		= (%chess_standguy_move02);
	level.scr_anim["stand"]["move 3"]		= (%chess_standguy_move03);
	level.scr_anim["stand"]["idle"][0]		= (%chess_standguy_thinkidle);
	level.scr_anim["stand"]["idle"][1]		= (%chess_standguy_thinktwitch);
	level.scr_anim["stand"]["think 1"]		= (%chess_standguy_thinkidle);
	level.scr_anim["stand"]["think 2"]		= (%chess_standguy_thinktwitch);
	level.scr_anim["stand"]["guard"]		= (%chess_standguy_guard102);
  
	level.scr_animtree["sit"] = #animtree;
	level.scr_anim["sit"]["move 1"]			= (%chess_sitguy_move01);
	level.scr_anim["sit"]["move 2"]			= (%chess_sitguy_move02);
	level.scr_anim["sit"]["move 3"]			= (%chess_sitguy_move03);
	level.scr_anim["sit"]["idle"][0]		= (%chess_sitguy_thinkidle);
	level.scr_anim["sit"]["idle"][1]		= (%chess_sitguy_thinktwitch);
	level.scr_anim["sit"]["think 1"]		= (%chess_sitguy_thinkidle);
	level.scr_anim["sit"]["think 2"]		= (%chess_sitguy_thinktwitch);
	level.scr_anim["sit"]["guard"]			= (%chess_sitguy_guard102);
}
enableChessSounds()
{
	level.scrsound["stand"]["think 1"]		= "rr_elder1";
	level.scrsound["stand"]["think 2"]		= "rr_elder2";

	level.scrsound["sit"]["move 1"]			= "cough";
	level.scrsound["sit"]["move 2"]			= "sneeze";
	level.scrsound["sit"]["move 3"]			= "cough";
}

#using_animtree("animation_rig_chessgame");
chesspieces()
{
	level.scr_animtree["pieces"] = #animtree;

	level.scr_anim["pieces"]["move 1"]		= (%chess_pieces_move01);
	level.scr_anim["pieces"]["move 2"]		= (%chess_pieces_move02);
	level.scr_anim["pieces"]["move 3"]		= (%chess_pieces_move03);
}

chess ( node )
{
	checker_guy = getentarray (node.target,"targetname");
	checker_guy[0].animname = "sit";
	checker_guy[1].animname = "stand";

	thread chessSounds(checker_guy[0], checker_guy[1]);

	chess_node = spawn ("script_model",(0,0,0));
	chess_node setmodel ("xmodel/chessgame_animnode");
	chess_node.origin = node.origin;
	chess_node.angles = node.angles;

	chess_pieces = spawn ("script_model",(0,0,0));
	chess_pieces setmodel ("xmodel/chessgame_animrig");
	chess_pieces.animname = "pieces";
	chess_pieces.origin = chess_node gettagorigin ("TAG_crate");
	chess_pieces.angles = chess_node gettagangles ("TAG_crate");
	chess_pieces UseAnimTree(level.scr_animtree[chess_pieces.animname]);
	level.chess_pieces = chess_pieces;

	level thread do_anim( checker_guy, node, chess_pieces );
}

chessSounds (guy1, guy2)
{

getent("greeting_trig","targetname") waittill ("trigger");
	guy1 animscripts\face::SaySpecificDialogue (undefined, "rr_elder1", 1.0, "sounddone");
	guy1 waittill ("sounddone");

	guy2 animscripts\face::SaySpecificDialogue (undefined, "rr_elder2", 1.0, "sounddone");
	guy2 waittill ("sounddone");

wait 5;

	guy1 animscripts\face::SaySpecificDialogue (undefined, "cough", 1.0, "sounddone");
	guy1 waittill ("sounddone");

	guy2 animscripts\face::SaySpecificDialogue (undefined, "sneeze", 1.0, "sounddone");
	guy2 waittill ("sounddone");

wait 60;

	guy1 animscripts\face::SaySpecificDialogue (undefined, "cough", 1.0, "sounddone");
	guy1 waittill ("sounddone");
}

do_anim ( guy, node, chess_pieces )
{
	while (1)
	{
	props[0] = chess_pieces;

	guy[0] maps\_anim::anim_single (guy, "guard", undefined, node);
	props[0] thread maps\_anim::anim_single (props, "move 1", undefined, chess_pieces);
	guy[0] maps\_anim::anim_single (guy, "move 1", undefined, node);

	guy[0] maps\_anim::anim_single (guy, "think 1", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 2", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 1", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 1", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 2", undefined, node);


	guy[0] maps\_anim::anim_single (guy, "think 1", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 2", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 1", undefined, node);

	props[0] thread maps\_anim::anim_single (props, "move 2", undefined, chess_pieces);
	guy[0] maps\_anim::anim_single (guy, "move 2", undefined, node);

	guy[0] maps\_anim::anim_single (guy, "think 1", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 1", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 2", undefined, node);
	guy[0] maps\_anim::anim_single (guy, "think 1", undefined, node);

	props[0] thread maps\_anim::anim_single (props, "move 3", undefined, chess_pieces);
	guy[0] maps\_anim::anim_single (guy, "move 3", undefined, node);
	}
}